Page MenuHomePhabricator

Post-inheritance cleanup
Closed, ResolvedPublic2 Story Points

Description

During the work to remove inheritance we left backwards compatible functions for caching.
After all the migrations have been completed and 2 weeks have passed we will remove the following:

  • mobile.languages.structured/LanguageOverlay
  • mobile.talk.overlays/talkOverlay
  • categories
  • languages

developer notes

Drop anything that is @deprecated either via moduleLoader and/or jsdoc tag

Details

Related Gerrit Patches:

Event Timeline

Change 492206 had a related patch set uploaded (by Jdlrobson; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Remove temporary function from mobile.languages.structured.js

https://gerrit.wikimedia.org/r/492206

phuedx removed a subscriber: phuedx.Feb 27 2019, 12:01 PM

Change 492206 abandoned by Jdlrobson:
Remove temporary function from mobile.languages.structured.js

Reason:
Let's do this in a batch job along with the talk overlay and other changes as part of https://phabricator.wikimedia.org/T217220

Abandoning until that gets scheduled (we can restore then!).

https://gerrit.wikimedia.org/r/492206

Jdlrobson triaged this task as High priority.Apr 11 2019, 9:40 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task from Incoming to Upcoming on the Readers-Web-Backlog board.
ovasileva set the point value for this task to 2.Apr 16 2019, 4:42 PM

Change 505785 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Do not use deprecated toast show parameter

https://gerrit.wikimedia.org/r/505785

Change 505786 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] 💥 Breaking change: Remove deprecated methods/modules

https://gerrit.wikimedia.org/r/505786

Change 505785 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Do not use pass the "string" (deprecated parameter) to toast show method

https://gerrit.wikimedia.org/r/505785

Change 505786 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] 💥 Breaking change: Remove deprecated methods/modules

https://gerrit.wikimedia.org/r/505786

Jdlrobson assigned this task to phuedx.May 6 2019, 5:06 PM
phuedx updated the task description. (Show Details)May 8 2019, 4:40 PM
phuedx closed this task as Resolved.May 8 2019, 4:44 PM

This LGTM.

Re:

Drop anything that is @deprecated either via moduleLoader and/or jsdoc tag